<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:35 CEST 2019 -->
<title>JnaStatement (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JnaStatement (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/JnaStatement.html" target="_top">Frames</a></li>
<li><a href="JnaStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.jna</div>
<h2 title="Class JnaStatement" class="title">Class JnaStatement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbStatement</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.jna.JnaStatement</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">JnaStatement</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></pre>
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> for native client access.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#statementListenerDispatcher">statementListenerDispatcher</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#JnaStatement-org.firebirdsql.gds.ng.jna.JnaDatabase-">JnaStatement</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabase</a>&nbsp;database)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#allocateXSqlDa-org.firebirdsql.gds.ng.fields.RowDescriptor-">allocateXSqlDa</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor)</code>
<div class="block">Creates an XSQLDA, populates type information and allocates memory for the sqldata fields.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#emptyRowDescriptor--">emptyRowDescriptor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#execute-org.firebirdsql.gds.ng.fields.RowValue-">execute</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;parameters)</code>
<div class="block">Execute the statement.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#fetchRows-int-">fetchRows</a></span>(int&nbsp;fetchSize)</code>
<div class="block">Requests this statement to fetch the next <code>fetchSize</code> rows.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#free-int-">free</a></span>(int&nbsp;option)</code>
<div class="block">Frees the currently allocated statement (either close the cursor with <a href="../../../../../org/firebirdsql/gds/ISCConstants.html#DSQL_close"><code>ISCConstants.DSQL_close</code></a> or drop the statement
 handle using <a href="../../../../../org/firebirdsql/gds/ISCConstants.html#DSQL_drop"><code>ISCConstants.DSQL_drop</code></a>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#getDatabase--">getDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#getDefaultSqlInfoSize--">getDefaultSqlInfoSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#getHandle--">getHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#getMaxSqlInfoSize--">getMaxSqlInfoSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#getSqlInfo-byte:A-int-">getSqlInfo</a></span>(byte[]&nbsp;requestItems,
          int&nbsp;bufferLength)</code>
<div class="block">Request statement info.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna">JnaTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#getTransaction--">getTransaction</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#isValidTransactionClass-java.lang.Class-">isValidTransactionClass</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&gt;&nbsp;transactionClass)</code>
<div class="block">Method to decide if a transaction implementation class is valid for the statement implementation.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#prepare-java.lang.String-">prepare</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statementText)</code>
<div class="block">Prepare the statement text.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#setCursorName-java.lang.String-">setCursorName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cursorName)</code>
<div class="block">Sets the named cursor name for this statement.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#setFieldDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">setFieldDescriptor</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;fieldDescriptor)</code>
<div class="block">Sets the (result set) field descriptor.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#setParameterDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">setParameterDescriptor</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;parameterDescriptor)</code>
<div class="block">Sets the parameter descriptor.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#setXSqlDaData-org.firebirdsql.jna.fbclient.XSQLDA-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.gds.ng.fields.RowValue-">setXSqlDaData</a></span>(<a href="../../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA</a>&nbsp;xSqlDa,
             <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
             <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;parameters)</code>
<div class="block">Populates an XSQLDA from the row descriptor and parameter values.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html#toRowValue-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.jna.fbclient.XSQLDA-">toRowValue</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
          <a href="../../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA</a>&nbsp;xSqlDa)</code>
<div class="block">Converts the data from an XSQLDA to a RowValue.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#addStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">addStatementListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#checkStatementValid--">checkStatementValid</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#closeCursor--">closeCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#closeCursor-boolean-">closeCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#createExecutionPlanProcessor--">createExecutionPlanProcessor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#createSqlCountProcessor--">createSqlCountProcessor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#ensureClosedCursor-boolean-">ensureClosedCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#finalize--">finalize</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getExecutionPlan--">getExecutionPlan</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getFieldDescriptor--">getFieldDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getParameterDescriptionInfoRequestItems--">getParameterDescriptionInfoRequestItems</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getParameterDescriptor--">getParameterDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSqlCounts--">getSqlCounts</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSqlInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getSqlInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getState--">getState</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getStatementInfoRequestItems--">getStatementInfoRequestItems</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getStatementWarningCallback--">getStatementWarningCallback</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getTransactionListener--">getTransactionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getType--">getType</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#hasFields--">hasFields</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#hasSingletonResult--">hasSingletonResult</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isAllRowsFetched--">isAllRowsFetched</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isPrepareAllowed-org.firebirdsql.gds.ng.StatementState-">isPrepareAllowed</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#parseStatementInfo-byte:A-">parseStatementInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#queueRowData-org.firebirdsql.gds.ng.fields.RowValue-">queueRowData</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#removeStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">removeStatementListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#reset--">reset</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#reset-boolean-">reset</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#resetAll--">resetAll</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setAllRowsFetched-boolean-">setAllRowsFetched</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setTransaction-org.firebirdsql.gds.ng.FbTransaction-">setTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setType-org.firebirdsql.gds.ng.StatementType-">setType</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#switchState-org.firebirdsql.gds.ng.StatementState-">switchState</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#validateParameters-org.firebirdsql.gds.ng.fields.RowValue-">validateParameters</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JnaStatement-org.firebirdsql.gds.ng.jna.JnaDatabase-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JnaStatement</h4>
<pre>public&nbsp;JnaStatement(<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabase</a>&nbsp;database)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setParameterDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParameterDescriptor</h4>
<pre>protected&nbsp;void&nbsp;setParameterDescriptor(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;parameterDescriptor)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setParameterDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">AbstractFbStatement</a></code></span></div>
<div class="block">Sets the parameter descriptor.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setParameterDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">setParameterDescriptor</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parameterDescriptor</code> - Parameter descriptor</dd>
</dl>
</li>
</ul>
<a name="setFieldDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFieldDescriptor</h4>
<pre>protected&nbsp;void&nbsp;setFieldDescriptor(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;fieldDescriptor)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setFieldDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">AbstractFbStatement</a></code></span></div>
<div class="block">Sets the (result set) field descriptor.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setFieldDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">setFieldDescriptor</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldDescriptor</code> - Field descriptor</dd>
</dl>
</li>
</ul>
<a name="free-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>free</h4>
<pre>protected&nbsp;void&nbsp;free(int&nbsp;option)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#free-int-">AbstractFbStatement</a></code></span></div>
<div class="block">Frees the currently allocated statement (either close the cursor with <a href="../../../../../org/firebirdsql/gds/ISCConstants.html#DSQL_close"><code>ISCConstants.DSQL_close</code></a> or drop the statement
 handle using <a href="../../../../../org/firebirdsql/gds/ISCConstants.html#DSQL_drop"><code>ISCConstants.DSQL_drop</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#free-int-">free</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - Free option</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="isValidTransactionClass-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidTransactionClass</h4>
<pre>protected&nbsp;boolean&nbsp;isValidTransactionClass(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&gt;&nbsp;transactionClass)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isValidTransactionClass-java.lang.Class-">AbstractFbStatement</a></code></span></div>
<div class="block">Method to decide if a transaction implementation class is valid for the statement implementation.
 <p>
 Eg a <a href="../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html" title="class in org.firebirdsql.gds.ng.wire.version10"><code>V10Statement</code></a> will only work with an
 <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireTransaction</code></a> implementation.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isValidTransactionClass-java.lang.Class-">isValidTransactionClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionClass</code> - Class of the transaction</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the transaction class is valid for the statement implementation.</dd>
</dl>
</li>
</ul>
<a name="getDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabase</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html" title="class in org.firebirdsql.gds.ng.jna">JnaDatabase</a>&nbsp;getDatabase()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The database connection that created this statement</dd>
</dl>
</li>
</ul>
<a name="getHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandle</h4>
<pre>public&nbsp;int&nbsp;getHandle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Firebird statement handle identifier</dd>
</dl>
</li>
</ul>
<a name="getTransaction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransaction</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna">JnaTransaction</a>&nbsp;getTransaction()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getTransaction--">getTransaction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getTransaction--">getTransaction</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Transaction currently associated with this statement</dd>
</dl>
</li>
</ul>
<a name="prepare-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prepare</h4>
<pre>public&nbsp;void&nbsp;prepare(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statementText)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#prepare-java.lang.String-">FbStatement</a></code></span></div>
<div class="block">Prepare the statement text.
 <p>
 If this handle is in state <a href="../../../../../org/firebirdsql/gds/ng/StatementState.html#NEW"><code>StatementState.NEW</code></a> then it will first allocate the statement.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statementText</code> - Statement text</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a database access error occurs, or this statement is currently executing a query.</dd>
</dl>
</li>
</ul>
<a name="execute-org.firebirdsql.gds.ng.fields.RowValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;void&nbsp;execute(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;parameters)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#execute-org.firebirdsql.gds.ng.fields.RowValue-">FbStatement</a></code></span></div>
<div class="block">Execute the statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parameters</code> - The list of parameter values to use for execution.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When the number of type of parameters does not match the types returned by <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getParameterDescriptor--"><code>FbStatement.getParameterDescriptor()</code></a>,
         a parameter value was not set, or when an error occurred executing this statement.</dd>
</dl>
</li>
</ul>
<a name="setXSqlDaData-org.firebirdsql.jna.fbclient.XSQLDA-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.gds.ng.fields.RowValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXSqlDaData</h4>
<pre>protected&nbsp;void&nbsp;setXSqlDaData(<a href="../../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA</a>&nbsp;xSqlDa,
                             <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                             <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;parameters)</pre>
<div class="block">Populates an XSQLDA from the row descriptor and parameter values.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xSqlDa</code> - XSQLDA</dd>
<dd><code>rowDescriptor</code> - Row descriptor</dd>
<dd><code>parameters</code> - Parameter values</dd>
</dl>
</li>
</ul>
<a name="allocateXSqlDa-org.firebirdsql.gds.ng.fields.RowDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>allocateXSqlDa</h4>
<pre>protected&nbsp;<a href="../../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA</a>&nbsp;allocateXSqlDa(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor)</pre>
<div class="block">Creates an XSQLDA, populates type information and allocates memory for the sqldata fields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowDescriptor</code> - The row descriptor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Allocated XSQLDA without data</dd>
</dl>
</li>
</ul>
<a name="toRowValue-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.jna.fbclient.XSQLDA-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toRowValue</h4>
<pre>protected&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;toRowValue(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                              <a href="../../../../../org/firebirdsql/jna/fbclient/XSQLDA.html" title="class in org.firebirdsql.jna.fbclient">XSQLDA</a>&nbsp;xSqlDa)</pre>
<div class="block">Converts the data from an XSQLDA to a RowValue.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowDescriptor</code> - Row descriptor</dd>
<dd><code>xSqlDa</code> - XSQLDA</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Row value</dd>
</dl>
</li>
</ul>
<a name="fetchRows-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchRows</h4>
<pre>public&nbsp;void&nbsp;fetchRows(int&nbsp;fetchSize)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Requests this statement to fetch the next <code>fetchSize</code> rows.
 <p>
 Fetched rows are not returned from this method, but sent to the registered <a href="../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>StatementListener</code></a> instances.
 </p>
 <p>
 The JNA implementation ignores the specified <code>fetchSize</code> to prevent problems with - for example -
 positioned updates with named cursors. For the wire protocol that case is handled by the server ignoring the
 fetch size. Internally the native fetch will batch a number of records, but the number is outside our control.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fetchSize</code> - Number of rows to fetch (must be <code>&gt; 0</code>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For database access errors, when called on a closed statement, when no cursor is open or when the fetch
         size is not <code>&gt; 0</code>.</dd>
</dl>
</li>
</ul>
<a name="getSqlInfo-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSqlInfo</h4>
<pre>public&nbsp;byte[]&nbsp;getSqlInfo(byte[]&nbsp;requestItems,
                         int&nbsp;bufferLength)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getSqlInfo-byte:A-int-">FbStatement</a></code></span></div>
<div class="block">Request statement info.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestItems</code> - Array of info items to request</dd>
<dd><code>bufferLength</code> - Response buffer length to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Response buffer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDefaultSqlInfoSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultSqlInfoSize</h4>
<pre>public&nbsp;int&nbsp;getDefaultSqlInfoSize()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The default size to use for the sql info buffer</dd>
</dl>
</li>
</ul>
<a name="getMaxSqlInfoSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxSqlInfoSize</h4>
<pre>public&nbsp;int&nbsp;getMaxSqlInfoSize()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The maximum size to use for the sql info buffer</dd>
</dl>
</li>
</ul>
<a name="setCursorName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCursorName</h4>
<pre>public&nbsp;void&nbsp;setCursorName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cursorName)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#setCursorName-java.lang.String-">FbStatement</a></code></span></div>
<div class="block">Sets the named cursor name for this statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cursorName</code> - Name of the cursor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If this statement is closed, TODO: Other reasons (eg cursor open)?</dd>
</dl>
</li>
</ul>
<a name="emptyRowDescriptor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>emptyRowDescriptor</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;emptyRowDescriptor()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A potentially cached empty row descriptor for this statement or database.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/JnaStatement.html" target="_top">Frames</a></li>
<li><a href="JnaStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
